## Boolean Predicate (bool_predicate)

Boolean values (BOOLEAN) are compared in a Boolean predicate (bool_predicate).

### Syntax

<bool_predicate> ::= <column_spec> [IS [NOT] TRUE | IS [NOT] FALSE]

### Explanation

If only one column specification column_spec is specified, the syntax is identical to <column spec> IS TRUE.

The column specification must always denote a column with the data type BOOLEAN.

The following rules apply to the result of a Boolean predicate:

Column value | IS TRUE | IS NOT TRUE | IS FALSE | IS NOT FALSE
false | false | true | true | false
undefined | undefined | undefined | undefined | undefined
true | true | false | false | true